######################################################################
# br.pl - This is PyukiWiki, yet another Wiki clone.
# br plugin for PyukiWiki & YukiWiki
#
# $Id: br.pl,v 1.4 2006/01/12 22:50:58 papu Exp $
#
# "PyukiWiki" version 0.1.6-alpha3 $$
# Copyright (C) 2004 by Nekyo.
# Copyright (C) 2006 PyukiWiki Developers Team
# License: GPL v2 or (at your option) any later version
# http://nekyo.hp.infoseek.co.jp/
# http://pyukiwiki.sourceforge.jp/
#
# Based on YukiWiki http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sourceforge.jp/
#
# 1TAB=4Spaces
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return Code:UNIX=LF/Windows=CR+LF/Mac=CR
# Japanese Code=EUC
######################################################################

use strict;
package br;

sub plugin_block {
	return &plugin_inline;
}

sub plugin_inline {
	return qq(<br />);
}

sub plugin_usage {
	return {
		name => 'br',
		version => '1.0',
		author => 'Nekyo <nekyo@yamaneko.club.ne.jp>',
		syntax => '&br',
		description => 'line break.',
		example => '&br',
	};
}

1;
__END__
=head1 NAME

br.pl - PyukiWiki / YukiWiki Plugin

=head1 SYNOPSIS

 &br;
 line&br;break

=head1 DESCRIPTION

A new line is started in the specified position.

This plugin is compatible with YukiWiki.

=back

=head1 SEE ALSO

=over 4

=item PyukiWiki/Plugin/Standard/br

L<http://pyukiwiki.sourceforge.jp/cgi-bin/w/PyukiWiki/Plugin/Standard/br/>

=item PyukiWiki CVS

L<http://cvs.sourceforge.jp/cgi-bin/viewcvs.cgi/pyukiwiki/PyukiWiki-Devel/plugin/br.pl>

=back

=head1 AUTHOR

=over 4

=item Nekyo

L<http://nekyo.hp.infoseek.co.jp/>

=item PyukiWiki Developers Team

L<http://pyukiwiki.sourceforge.jp/>

=head1 LICENSE

Copyright (C) 2004 by Nekyo.

Copyright (C) 2006 by PyukiWiki Developers Team

License is GNU GENERAL PUBLIC LICENSE 2

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.

=cut
