######################################################################
# sup.pl - This is PyukiWiki, yet another Wiki clone.
# sup plugin for YukiWiki & PyukiWiki
#
# $Id: sup.pl,v 1.4 2006/01/12 22:50:58 papu Exp $
#
# "PyukiWiki" version 0.1.6-alpha3 $$
# Copyright (C) 2004 by Nekyo.
# Copyright (C) 2006 PyukiWiki Developers Team
# License: GPL v2 or (at your option) any later version
# http://nekyo.hp.infoseek.co.jp/
# http://pyukiwiki.sourceforge.jp/
#
# Based on YukiWiki <hyuki@hyuki.com> http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sourceforge.jp/
#
# 1TAB=4Spaces
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return Code:UNIX=LF/Windows=CR+LF/Mac=CR
# Japanese Code=EUC
######################################################################
# Author: Nekyo <nekyo@yamaneko.club.ne.jp>
######################################################################

use strict;

package sup;

sub plugin_inline {
    my ($escaped_argument) = @_;
    my ($string) = split(/,/, $escaped_argument);
    return qq(<sup>$string</sup>);
}

sub plugin_usage {
    return {
        name => 'sup',
        version => '1.0',
        author => 'Nekyo <nekyo@yamaneko.club.ne.jp>',
        syntax => '&sup(string)',
        description => 'Make sub.',
        example => '&sup(string)',
    };
}

1;
