######################################################################
# slashpage.inc.pl - This is PyukiWiki, yet another Wiki clone.
# slashpage Plugin
#
# $Id: slashpage.inc.pl,v 1.8 2006/01/18 06:23:18 papu Exp $
#
# "PyukiWiki" version 0.1.6-alpha5 $$
# Copyright (C) 2004 by Nekyo.
# Copyright (C) 2006 PyukiWiki Developers Team
# License: GPL v2 or (at your option) any later version
# http://nekyo.hp.infoseek.co.jp/
# http://pyukiwiki.sourceforge.jp/
#
# Based on YukiWiki http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sourceforge.jp/
#
# 1TAB=4Spaces
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return Code:UNIX=LF/Windows=CR+LF/Mac=CR
# Japanese Code=EUC
######################################################################
# This is extented plugin.
# To use this plugin, rename to 'slashpage.inc.cgi'
######################################################################

sub plugin_slashpage_init {
	@::PLUGIN_SLASHPAGE_STACK=();

	# / ܂ރy[ŴݔzɊi[
	foreach my $pages (keys %::database) {
		push(@::PLUGIN_SLASHPAGE_STACK,$pages) if($pages=~/\//);
	}
	@::PLUGIN_SLASHPAGE_STACK=sort @::PLUGIN_SLASHPAGE_STACK;
	return('init'=>1,'func'=>'make_link_wikipage');
}

sub make_link_wikipage {
	my($chunk,$escapedchunk)=@_;
	my $cookedchunk  = &encode($chunk);
	my $cookedurl=&make_cookedurl($cookedchunk);
	if ($::database{$chunk}) {
		return qq(<a title="$chunk" href="$cookedurl">$escapedchunk</a>);
	} elsif (($chunk =~ /^([^#]*)#(.+)/) && $::database{$1}) {
		return qq(<a title="$chunk" href="$cookedurl#$2">$escapedchunk</a>);
	}
	foreach my $pagetemp (@::PLUGIN_SLASHPAGE_STACK) {
		$pagetemp2=$pagetemp;
		$pagetemp2=~s/.*\///g;
		if($pagetemp2 eq $chunk) {
			$cookedchunk  = &encode($pagetemp);
			$cookedurl=&make_cookedurl($pagetemp);
			return qq(<a title="$pagetemp" href="$cookedurl">$escapedchunk</a>);
		} elsif (($pagetemp2 =~ /^([^#]*)#(.+)/) && $::database{$1}) {
			$cookedchunk  = &encode($pagetemp);
			$cookedurl=&make_cookedurl($pagetemp);
			return qq(<a title="$1" href="$cookedurl#$2">$escapedchunk</a>);
		}
	}
	if (&is_editable($chunk)) {
		return qq($escapedchunk<a title="$::resource{editthispage}" class="editlink" href="$::script?cmd=edit&amp;mypage=$cookedchunk">$editchar</a>);
	}
	return $escapedchunk;
}

1;
__END__

