######################################################################
# pyukiwiki.ini.cgi - This is PyukiWiki, yet another Wiki clone.
#
# $Id: pyukiwiki.ini.cgi,v 1.4 2006/01/12 22:50:58 papu Exp $
#
# "PyukiWiki" version 0.1.6-alpha4 $$
# Copyright (C) 2004 by Nekyo.
# Copyright (C) 2006 PyukiWiki Developers Team
# License: GPL v2 or (at your option) any later version
# http://nekyo.hp.infoseek.co.jp/
# http://pyukiwiki.sourceforge.jp/
#
# Based on YukiWiki http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sourceforge.jp/
#
# 1TAB=4Spaces
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return Code:UNIX=LF/Windows=CR+LF/Mac=CR
# Japanese Code=EUC
######################################################################

use strict;

# 
$::lang = "ja";				# ja:ܸ/cn:()/en:Ѹ()
$::kanjicode = "euc";		# euc:EUC-JP/utf8:UTF-8

# ǡǼǥ쥯ȥ
$::data_home = '.';		# CGIΤߥǡΥǥ쥯ȥ
$::data_pub = '.';		# ֥饦鸫ǡΥǥ쥯ȥ
$::data_url = '.';		# ֥饦СХǥ쥯ȥ

$::data_dir    = "$::data_home/wiki";		# ڡǡ¸
$::diff_dir    = "$::data_home/diff";		# ʬ¸
$::cache_dir   = "$::data_pub/cache";		# 
$::cache_url   = "$::data_url/cache";		# 
$::upload_dir  = "$::data_pub/attach";		# ź
$::upload_url  = "$::data_url/attach";		# źURL
$::counter_dir = "$::data_home/counter";	# 
$::plugin_dir  = "$::data_home/plugin";		# ץ饰
$::explugin_dir= "$::data_home/lib";		# ץ饰
$::skin_dir    = "$::data_pub/skin";		# 
$::skin_url    = "$::data_url/skin";		# URL
$::image_dir   = "$::data_pub/image";		# 
$::image_url   = "$::data_url/image";		# URL
$::info_dir    = "$::data_home/info";		# 
$::res_dir     = "$::data_home/resource";	# ꥽

# ե
$::skin_file   = "$::skin_dir/pyukiwiki.skin." . $::lang . ".cgi";
$::use_blosxom=0;	# blosxom.cssѤȤˤ

# ưŪåȥåץե
$::setup_file	= "$::info_dir/setup.ini.cgi";

# Ծ
$::wiki_title = '';										# ̾ʤʤƤġ
$::modifier = 'PyukiWiki Developers Team';				# ̾
$::modifierlink = 'http://pyukiwiki.sourceforge.jp/';	# URI
$::modifier_mail = '';									# ԥ᡼륢ɥ쥹

# ץ̾
# servererrorurlhackץ饰ѤϡưǤϤʤ
# $::scriptɬꤷƲ
$::script			= 'index.cgi';						# Ƚޤ

# ǥեȥڡ̾
$::FrontPage		= 'FrontPage';
$::RecentChanges	= 'RecentChanges';
$::MenuBar			= 'MenuBar';
$::RightBar			= ':RightBar';						# for feature
$::Header			= ':Header';
$::Footer			= ':Footer';
$::rule_page		= "롼";
$::InterWikiName	= 'InterWikiName';
$::ErrorPage = "ErrorPage";

$::adminpass = crypt("pass", "AA");

# RSS
$::modifier_rss_title=$::wiki_title;
$::modifier_rss_link=$::modifierlink;
$::modifier_rss_description = "Modified by $::modifier";

#$::modifier_rss_title = "PyukiWiki $::version";
#$::modifier_rss_link = 'http://pyukiwiki.sourceforge.jp/';
#$::modifier_rss_description = 'This is PyukiWiki.';

# ɽ
$::usefacemark = 0;		# եޡ 1:Ȥ/0:Ȥʤ
$::use_popup = 0;   	#  1:ݥåץå/0:ڡ
$::last_modified = 2;	# ǽ 0:ɽ/1:ɽ/2:ɽ
$::lastmod_prompt = 'Last-modified:'; # ǽΥץץ
$::allview = 0;			# 1:٤Ƥβ̤Header, MenuBar, Footerɽ, 0:ʤ

$::enable_convtime = 1;	# Сȥ 1:ɽ/0:ɽ;

# եޥå
$::date_format = 'Y-m-d'; 			# replace &date; to this format.
$::time_format = 'H:i:s'; 			# replace &date; to this format,
$::lastmod_format="Y-m-d H:i:s";	# lastmod format
$::recent_format="Y-m-d H:i:s";		# RecentChanges(?cmd=recent) format

	# ǯ  :Y:(4)/y:(2)
	#   :n:1-12/m:01-12/M:Jan-Dec/F:January-December
	#   :j:1-31/J:01-31
	# :l:Sunday-Saturday/D:Sun-Sat/DL:-/lL:-
	# ampm:a:am or pm/A:AM or PM/AL: or 
	#   : g:1-12/G:0-23/h:01-12/H/00-23
	# ʬ  : k:0-59/i:00-59
	#   : S:0-59/s:00-59
	# O   : ˥åȤλֺ

# ڡԽ
$::cols = 80;			# ƥȥꥢΥ
$::rows = 25;			# ƥȥꥢιԿ
$::extend_edit = 0;		# ĥǽ(JavaScript) 1:/0:̤
$::pukilike_edit = 0;	# PukiWiki饤Խ
						# 0:Pyukiwiki/1:PukiWiki/2:PukiWiki+ɤ߹ߵǽ
$::edit_afterpreview=0;	# ץӥ塼 0:Խ̤ξ 1:Խ̤β
$::new_refer='';		# ξ硢ϢڡΥ󥯤ͤȤɽ
#$::new_refer='';			# ʸˤɽޤ
$::new_dirnavi=0;		# ڡ̤ǡɤΥڡβؤ뤫
						# Ǥ褦ˤ 1:/0:̤

# PukiWiki
$::usePukiWikiStyle=0;	# 0:Ȥʤ 1:Ȥ

# WikiNameȤʤ
$::nowikiname = 1;		# 0:WikiNameư 1:Ū [[ ]] ɬ

# URLμư ([[ ]] Ū˻ꤵ줿ΤϤΤ)
$::autourllink = 0;

# ᡼륢ɥ쥹μư ([[ ]] Ū˻ꤵ줿ΤϤΤ)
$::automaillink = 0;

# Ǽ뤵ƤڡǤ񤭹褦ˤ롣
$::writefrozenplugin = 0;	# 0:Բ 1:

# ź
$::file_uploads = 1;	# źդ 0:Ȥʤ/1:Ȥ/2:ǧդ/3:Τǧ
$::max_filesize = 100000;	# åץɥե

# 
$::use_FuzzySearch=0;	# 0:̾︡/1:ܸ줢ޤѤ

# ȥޥå
$::use_SiteMap=0;		# 0:ListΤ/1:List,ȥޥåξ

#
$::_symbol_anchor = '&dagger;';
$::maxrecent = 50;

# ˴ޤʤڡ̾(ɽ)
#$::non_list = qq((^\:|^$::MenuBar|^$::FrontPage)); # example of MenuBar and FrontPage
$::non_list = qq((^\:));

# Skin  gzip ѥꤹȰ̤ͭˤʤ롣
# 뤳ȤǷڤʤޤ
$::gzip_path = '/bin/gzip -1';
$::gzip_path = '/usr/bin/gzip -1 -f';
$::gzip_path = '';

# P3PΥѥȥݥꥷ http://fs.pics.enc.or.jp/p3pwiz/p3p_ja.html
# ɬפǤ /w3cʲǥ쥯ȥˤŬڤ˥ե֤ͭˤޤ
#$::P3P="NON DSP COR CURa ADMa DEVa IVAa IVDa OUR SAMa PUBa IND ONL UNI COM NAV INT CNT STA";
$::P3P="";

1;

__END__
=head1 NAME

pyukiwiki.ini.cgi - This is pyukiwiki setting file

=head1 DESCRIPTION

This file is a configuration file of PyukiWiki.
Please carry out a suitable setup before setting up CGI.

