######################################################################
# urlhack.inc.pl - This is PyukiWiki, yet another Wiki clone.
# urlhack Plugin
#
# $Id: urlhack.inc.pl,v 1.13 2006/01/18 06:23:18 papu Exp $
#
# "PyukiWiki" version 0.1.6-alpha5 $$
# Copyright (C) 2004 by Nekyo.
# Copyright (C) 2006 PyukiWiki Developers Team
# License: GPL v2 or (at your option) any later version
# http://nekyo.hp.infoseek.co.jp/
# http://pyukiwiki.sourceforge.jp/
#
# Based on YukiWiki http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sourceforge.jp/
#
# 1TAB=4Spaces
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return Code:UNIX=LF/Windows=CR+LF/Mac=CR
# Japanese Code=EUC
######################################################################
# This is extented plugin.
# To use this plugin, rename to 'urlhack.inc.cgi'
######################################################################
#
# SEOкURLϥåץ饰
#
# ˡϡpodޤϳȯȤ
# http://pyukiwiki.sourceforge.jp/cgi-bin/w/PyukiWiki/Plugin/ExPlugin/urlhack/
#
######################################################################

$use_path_info=1;

# fake extension
$fake_extention=".html";	# or null
$fake_extention="/";	# or null

# not convert Alphabet or Number ( or dot and slash) page
$noconvert_marks=2;			# 0:NO / 1:Alpha&Number / 2:AlphaNumber and mark

# force url hack
$force_exec=0;

# Initlize

sub plugin_urlhack_init {
$::debug.="urlhack.inc.cgi:Load\n";
	if($use_path_info eq 0) {
		return('init'=>&plugin_urlhack_init_notfound
			,'func'=>'make_cookedurl');
	} else {
		return('init'=>&plugin_urlhack_init_path_info
			,'func'=>'make_cookedurl');
	}
}

sub plugin_urlhack_init_path_info {
	my $req=$ENV{PATH_INFO};

	# ĥҵƤ硢
	if($fake_extention ne '') {
		my $regex=$fake_extention;
		$regex=~s/([\.\/])/'\\x' . unpack('H2', $1)/eg;
		$req=~s/$regex$//g;
	}
	# ե٥åȿΤߤǡѴפξ FrontPage 
	if(&is_exist_page($req)) {
		$::form{cmd}='read';
		$::form{mypage}=$req;
		return 0;
	}

	# פʥå
	$req=~s!^/!!g;
	$req=~s!/$!!g;

	# ĥҵƤ硢
	if($fake_extention ne '') {
		my $regex=$fake_extention;
		$regex=~s/([\.\/])/'\\x' . unpack('H2', $1)/eg;
		$req=~s/$regex$//g;
	}
	# ե٥åȿΤߤǡѴפξ FrontPage 
	if(&is_exist_page($req)) {
		$::form{cmd}='read';
		$::form{mypage}=$req;
		return 0;
	}
	# hexѴ
	$req=~s/([A-Fa-f0-9][A-Fa-f0-9])/pack("C", hex($1))/eg;

	# URIλν
	if($req eq '') {
		# ̾Υ󥳡ɤξν
		$req=&decode($ENV{QUERY_STRING});
		if(&is_exist_page($req)) {
			$::form{cmd}='read';
			$::form{mypage}=$req;
			return 0;
		# cmd=read&mypage=xxx ξ
		} elsif(&is_exist_page($::form{mypage})) {
			$::form{cmd}='read';
			return 0;
		}
		# ǤʤСFrontPage
		$::form{cmd}='read';
		$::form{mypage}=$::FrontPage;
		return 0;
	# REDIRECT_URIڡ¸ߤ
	} elsif(&is_exist_page($req)) {
		$::form{cmd}='read';
		$::form{mypage}=$req;
		return 1;
	}
	return 0;
}

sub plugin_urlhack_init_notfound {
	# nphץȤĥ.cgiǤʤ硢Ѥʤ
	if($force_exec eq 0) {
		unless($ENV{SCRIPT_NAME}=~/nph-/ || $ENV{REQUEST_URI}=~/\.cgi/) {
			$::debug.="Not used urlhack.inc.cgi\n";
			return 0;
		}
	}
	my $req;

	# 顼404ʳϻѤʤ
	if($::form{cmd} eq 'servererror') {
		if($ENV{REDIRECT_STATUS} eq 404) {
			$req=$ENV{REDIRECT_URL};
		} else {
			return 0;
		}
	}

	# 404֤줿REDIRECT_URLʤcmd=readʳϻѤʤ
	if($req ne '' || $::form{cmd} eq '' || $::form{cmd} eq 'read') {
		$req=$ENV{REQUEST_URI};
		$req="$req/" if($force_exec eq 1 && ($ENV{REQUEST_URI}!~/\.cgi$/ || $ENV{REQUEST_URI}=~/\/$/));
	} else {
		return 0;
	}

	# ?ʹߤ̵뤹
	$req=~s/\?.*//g;

	# dot(.)slash(/)ͭξ
	if($noconvert_marks eq 2) {
		my $uri;
		# URI
		if($req ne '') {
			if($req eq $ENV{SCRIPT_NAME}) {
				$uri= $ENV{'SCRIPT_NAME'};
			} else {
				for(my $i=0; $i<length($ENV{SCRIPT_NAME}); $i++) {
					if(substr($ENV{SCRIPT_NAME},$i,1)
						eq substr($req,$i,1)) {
						$uri.=substr($ENV{SCRIPT_NAME},$i,1);
					} else {
						last;
					}
				}
			}
		} else {
			$uri .= $ENV{'SCRIPT_NAME'};
		}
		$uri=~s!/!\x08!g;	# slashΤɽˤ뤿ᥨ
		$req=~s!/!\x08!g;
		$req=~s!^$uri!!g;
		$req=~s!\x08!/!g;	# ᤹
	} else {
		$req=~s/.*\///g;
		$req=~s/^\///g;
	}
	# פʥå
	$req=~s!^/!!g;
	$req=~s!/$!!g;

	# ĥҵƤ硢
	if($fake_extention ne '') {
		my $regex=$fake_extention;
		$regex=~s/([\.\/])/'\\x' . unpack('H2', $1)/eg;
		$req=~s/$regex$//g;
	}
	# ե٥åȿΤߤǡѴפξ FrontPage 
	if(&is_exist_page($req)) {
		$::form{cmd}='read';
		$::form{mypage}=$req;
		return 0;
	}

	# hexѴ
	$req=~s/([A-Fa-f0-9][A-Fa-f0-9])/pack("C", hex($1))/eg;

	# URIλν
	if($req eq '') {
		# ̾Υ󥳡ɤξν
		$req=&decode($ENV{QUERY_STRING});
		if(&is_exist_page($req)) {
			$::form{cmd}='read';
			$::form{mypage}=$req;
			return 0;
		# cmd=read&mypage=xxx ξ
		} elsif(&is_exist_page($::form{mypage})) {
			$::form{cmd}='read';
			return 0;
		}
		# ǤʤСFrontPage
		$::form{cmd}='read';
		$::form{mypage}=$::FrontPage;
		return 0;
	# REDIRECT_URIڡ¸ߤ
	} elsif(&is_exist_page($req)) {
		$::form{cmd}='read';
		$::form{mypage}=$req;
		return 1;
	# ǤʤС404 Not found֤
	} else {
		$::form{cmd}='servererror';
		$ENV{REDIRECT_STATUS}=404;
		$ENV{REDIRECT_URL}=$ENV{REQUEST_URI};
		$ENV{REDIRECT_REQUEST_METHOD}="GET";
		return 0;
	}
}

# hack wiki.cgi of make_cookedurl

sub make_cookedurl {
	my($cookedchunk)=@_;
	if($force_exec eq 0 && $use_path_info eq 0) {
		unless($ENV{SCRIPT_NAME}=~/nph-/ || $ENV{REQUEST_URI}=~/\.cgi/) {
			return("$::script?$cookedchunk");
		}
	}
	$cookedchunk=&decode($cookedchunk);
	if($noconvert_marks+0 eq 0) {
		$cookedchunk=~ s/(.)/unpack('H2', $1)/eg;
	} elsif($cookedchunk=~/(\W)/ && $noconvert_marks+0 eq 1) {
		$cookedchunk=~ s/(.)/unpack('H2', $1)/eg;
	} elsif($cookedchunk=~/([^0-9A-Za-z\.\/])/) {
		$cookedchunk=~ s/(.)/unpack('H2', $1)/eg;
	}
	my $script=$::script;
	$script=~s/\/$//g;
	if($cookedchunk eq '') {
		return "$script/";
	} else {
		return "$script/$cookedchunk$fake_extention";
	}
}

1;
__END__

