######################################################################
# new.inc.pl - This is PyukiWiki, yet another Wiki clone.
# new plugin
#
# $Id: new.inc.pl,v 1.11 2006/01/18 06:23:18 papu Exp $
#
# "PyukiWiki" version 0.1.6-alpha5 $$
# Copyright (C) 2004 by Nekyo.
# Copyright (C) 2006 PyukiWiki Developers Team
# License: GPL v2 or (at your option) any later version
# http://nekyo.hp.infoseek.co.jp/
# http://pyukiwiki.sourceforge.jp/
#
# Based on YukiWiki http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sourceforge.jp/
#
# 1TAB=4Spaces
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return Code:UNIX=LF/Windows=CR+LF/Mac=CR
# Japanese Code=EUC
######################################################################

my $new_dates_short=1*24*60*60;
my $new_dates_long=5*24*60*60;
my $new_string_short=' <span class="new1">New!</span>';
my $new_string_long=' <span class="new5">New</span>';

sub plugin_new_inline {
	my $date = shift;
	if ($date eq '') { return ''; }

	my $retval = $date;
	my ($mday, $mon, $year) = (localtime())[3..5];

	my $now = &mktime(0, 0, 0, $mon + 1, $mday, $year + 1900);
	$date =~ /(\d+)-(\d+)-(\d+)/;
	my $past = &mktime(0, 0, 0, $2, $3, $1);

	if (($now - $past) <= $new_dates_short) {
		$retval .= $new_string_short;
	} elsif (($now - $past) <= $new_dates_long) {
		$retval .= $new_string_long;
	}
	return '<span class="comment_date">' . $retval . '</span>';
}
1;
__END__

